// CCP module
// Pulse width = CompareVal
module CCP #(parameter W = 16)
(
    input	wire			clock,
    input	wire	[W-1:0]	CurCNT,
	input	wire	[W-1:0]	CompareVal,
    output	reg				PWM_out = 0
    );
always @ (posedge clock) begin
		if (CurCNT == 0) begin
			PWM_out <= 1;
		end else if (CurCNT == CompareVal) begin
			PWM_out <= 0;
		end
end

endmodule
//**************************************************
