// SPI Slave module
// CPOL=0, CPHA=0, MSB first
module SPIslave #(parameter W = 16)
(
    input	wire			SCK,
    input	wire			MOSI,
    output	wire			MISO,
    output	reg		[W-1:0]	data = 0
    );
//**************************************************
assign MISO = data[W-1];
//**************************************************
always @ (negedge SCK) begin
			data <= { data[W-2:0], MOSI };
end
//**************************************************
endmodule
//**************************************************
